Subject: bug#13846: closed (Re: bug#13846: 24.3.50; segmentation fault)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Mar 2013 17:39:02 +0000

Your bug report

#13846: 24.3.50; segmentation fault

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13846: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13846
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13846: 24.3.50; segmentation fault
From: Paul Eggert <[email-masked]>
To: Yagnesh Raghava Yakkala <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Mar 2013 09:38:26 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/04/13 08:21, Yagnesh Raghava Yakkala wrote:

> Sent. could you confirm.?

Got it, thanks.  This let me reproduce the bug easily, I installed
a patch into the trunk as bzr 111937, and I'm marking this as done.

> I sent mail using gnus and when I try to enter my sent mail group (in gnus),
> emacs is being crashed :o , I am not sure why gnus needs to look into mime
> attachments while entering into a group. 

Was the crash due to this image?  If so, the bug should be fixed now;
if not, please open another bug report for Gnus.  I don't know why
Gnus needs to look into mime attachments, but presumably we can look
into that if the bug persists.

Subject: 24.3.50; segmentation fault
From: Yagnesh Raghava Yakkala <[email-masked]>
To: [email-masked]
Date: Fri, 01 Mar 2013 15:22:56 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I tried to open a psd (photoshop) file unintentionally from dired buffer which
caused segmentation fault. I am able to reproduce the problem it reliably.

here is the gdb session:

--8<---------------cut here---------------start------------->8---
GNU gdb (Ubuntu/Linaro 7.4-2012.04-0ubuntu2.1) 7.4-2012.04
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.launchpad.net/gdb-linaro/>...
Reading symbols from /home/yagnesh/bin/emacs...done.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0.0
TERM = xterm
Breakpoint 1 at 0x5471ff: file emacs.c, line 316.
Temporary breakpoint 2 at 0x56a355: file sysdep.c, line 878.
Starting program: /home/yagnesh/bin/emacs 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffebba3700 (LWP 26149)]
[New Thread 0x7fffea53b700 (LWP 26150)]
[New Thread 0x7fffe20ce700 (LWP 26188)]

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff5049680 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
(gdb) backtrace
#0  0x00007ffff5049680 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#1  0x000000000068ae05 in imagemagick_load_image (f=0x11c8638, img=0x267ee60, 
    contents=0x0, size=0, 
    filename=0x2c5cdb8 "/home/yagnesh/works/0DOCS/2011.11.15yakkala/オンラインビザ申請用.jpg.psd") at image.c:7912
#2  0x000000000068b008 in imagemagick_load (f=0x11c8638, img=0x267ee60)
    at image.c:7978
#3  0x0000000000681801 in lookup_image (f=0x11c8638, spec=46584070)
    at image.c:1697
#4  0x000000000067ff61 in Fimage_size (spec=46584070, pixels=12854434, 
    frame=12854386) at image.c:898
#5  0x00000000005e980b in Ffuncall (nargs=4, args=0x7fffffff42e0)
    at eval.c:2682
#6  0x0000000000630f42 in exec_byte_code (bytestr=45754113, vector=44989413, 
    maxdepth=36, args_template=3076, nargs=2, args=0x7fffffff47f0)
    at bytecode.c:898
#7  0x00000000005e9f16 in funcall_lambda (fun=15855397, nargs=2, 
    arg_vector=0x7fffffff47e0) at eval.c:2841
#8  0x00000000005e99c4 in Ffuncall (nargs=3, args=0x7fffffff47d8)
    at eval.c:2724
#9  0x0000000000630f42 in exec_byte_code (bytestr=45802241, vector=44826245, 
    maxdepth=28, args_template=0, nargs=0, args=0x7fffffff4d18)
    at bytecode.c:898
---Type <return> to continue, or q <return> to quit---
#10 0x00000000005e9f16 in funcall_lambda (fun=45001189, nargs=0, 
    arg_vector=0x7fffffff4d18) at eval.c:2841
#11 0x00000000005e99c4 in Ffuncall (nargs=1, args=0x7fffffff4d10)
    at eval.c:2724
#12 0x0000000000630f42 in exec_byte_code (bytestr=45793473, vector=44824237, 
    maxdepth=48, args_template=0, nargs=0, args=0x7fffffff5210)
    at bytecode.c:898
#13 0x00000000005e9f16 in funcall_lambda (fun=46400973, nargs=0, 
    arg_vector=0x7fffffff5210) at eval.c:2841
#14 0x00000000005e99c4 in Ffuncall (nargs=1, args=0x7fffffff5208)
    at eval.c:2724
#15 0x0000000000630f42 in exec_byte_code (bytestr=45776657, vector=46399461, 
    maxdepth=52, args_template=0, nargs=0, args=0x7fffffff5748)
    at bytecode.c:898
#16 0x00000000005e9f16 in funcall_lambda (fun=15798749, nargs=0, 
    arg_vector=0x7fffffff5748) at eval.c:2841
#17 0x00000000005e99c4 in Ffuncall (nargs=1, args=0x7fffffff5740)
    at eval.c:2724
#18 0x00000000005e8188 in eval_sub (form=46587734) at eval.c:2012
#19 0x00000000005e6474 in internal_lisp_condition_case (var=45777618, 
    bodyform=46587734, handlers=46587830) at eval.c:1147
#20 0x0000000000631ea7 in exec_byte_code (bytestr=45776561, vector=46399989, 
    maxdepth=24, args_template=0, nargs=0, args=0x7fffffff5f70)
---Type <return> to continue, or q <return> to quit---
    at bytecode.c:1094
#21 0x00000000005e9f16 in funcall_lambda (fun=46400037, nargs=0, 
    arg_vector=0x7fffffff5f70) at eval.c:2841
#22 0x00000000005e99c4 in Ffuncall (nargs=1, args=0x7fffffff5f68)
    at eval.c:2724
#23 0x0000000000630f42 in exec_byte_code (bytestr=9832721, vector=9832757, 
    maxdepth=12, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#24 0x00000000005ea1e9 in funcall_lambda (fun=9832661, nargs=2, 
    arg_vector=0x7fffffff6450) at eval.c:2907
#25 0x00000000005e99c4 in Ffuncall (nargs=3, args=0x7fffffff6448)
    at eval.c:2724
#26 0x0000000000630f42 in exec_byte_code (bytestr=9831553, vector=9831589, 
    maxdepth=24, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#27 0x00000000005ea1e9 in funcall_lambda (fun=9831477, nargs=0, 
    arg_vector=0x7fffffff6950) at eval.c:2907
#28 0x00000000005e99c4 in Ffuncall (nargs=1, args=0x7fffffff6948)
    at eval.c:2724
#29 0x0000000000630f42 in exec_byte_code (bytestr=9820721, vector=9820757, 
    maxdepth=16, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#30 0x00000000005ea1e9 in funcall_lambda (fun=9820637, nargs=1, 
    arg_vector=0x7fffffff6e40) at eval.c:2907
#31 0x00000000005e99c4 in Ffuncall (nargs=2, args=0x7fffffff6e38)
    at eval.c:2724
---Type <return> to continue, or q <return> to quit---
#32 0x0000000000630f42 in exec_byte_code (bytestr=9819465, vector=9819501, 
    maxdepth=20, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#33 0x00000000005ea1e9 in funcall_lambda (fun=9819325, nargs=2, 
    arg_vector=0x7fffffff7330) at eval.c:2907
#34 0x00000000005e99c4 in Ffuncall (nargs=3, args=0x7fffffff7328)
    at eval.c:2724
#35 0x0000000000630f42 in exec_byte_code (bytestr=9816713, vector=9816749, 
    maxdepth=12, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#36 0x00000000005ea1e9 in funcall_lambda (fun=9816581, nargs=6, 
    arg_vector=0x7fffffff7810) at eval.c:2907
#37 0x00000000005e99c4 in Ffuncall (nargs=7, args=0x7fffffff7808)
    at eval.c:2724
#38 0x0000000000630f42 in exec_byte_code (bytestr=9815065, vector=9815101, 
    maxdepth=32, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#39 0x00000000005ea1e9 in funcall_lambda (fun=9814957, nargs=4, 
    arg_vector=0x7fffffff7d20) at eval.c:2907
#40 0x00000000005e99c4 in Ffuncall (nargs=5, args=0x7fffffff7d18)
    at eval.c:2724
#41 0x0000000000630f42 in exec_byte_code (bytestr=9808417, vector=9808453, 
    maxdepth=24, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#42 0x00000000005ea1e9 in funcall_lambda (fun=9808317, nargs=1, 
    arg_vector=0x7fffffff8220) at eval.c:2907
#43 0x00000000005e99c4 in Ffuncall (nargs=2, args=0x7fffffff8218)
---Type <return> to continue, or q <return> to quit---
    at eval.c:2724
#44 0x0000000000630f42 in exec_byte_code (bytestr=15304353, vector=12934461, 
    maxdepth=8, args_template=0, nargs=0, args=0x7fffffff8700)
    at bytecode.c:898
#45 0x00000000005e9f16 in funcall_lambda (fun=19138261, nargs=0, 
    arg_vector=0x7fffffff8700) at eval.c:2841
#46 0x00000000005e99c4 in Ffuncall (nargs=1, args=0x7fffffff86f8)
    at eval.c:2724
#47 0x00000000005e909e in apply1 (fn=23214210, arg=12854386) at eval.c:2436
#48 0x00000000005e2716 in Fcall_interactively (function=23214210, 
    record_flag=12854386, keys=12889341) at callint.c:377
#49 0x00000000005e980b in Ffuncall (nargs=4, args=0x7fffffff8a58)
    at eval.c:2682
#50 0x0000000000630f42 in exec_byte_code (bytestr=10317497, vector=10317533, 
    maxdepth=52, args_template=4100, nargs=1, args=0x7fffffff8f90)
    at bytecode.c:898
#51 0x00000000005e9f16 in funcall_lambda (fun=10317453, nargs=1, 
    arg_vector=0x7fffffff8f88) at eval.c:2841
#52 0x00000000005e99c4 in Ffuncall (nargs=2, args=0x7fffffff8f80)
    at eval.c:2724
#53 0x00000000005e9143 in call1 (fn=12897842, arg1=23214210) at eval.c:2469
#54 0x000000000054bea7 in command_loop_1 () at keyboard.c:1586
#55 0x00000000005e65c9 in internal_condition_case (
---Type <return> to continue, or q <return> to quit---
    bfun=0x54b675 <command_loop_1>, handlers=12905698, 
    hfun=0x54af5d <cmd_error>) at eval.c:1193
#56 0x000000000054b398 in command_loop_2 (ignore=12854386) at keyboard.c:1173
#57 0x00000000005e5fca in internal_catch (tag=12977506, 
    func=0x54b372 <command_loop_2>, arg=12854386) at eval.c:964
#58 0x000000000054b2fb in command_loop () at keyboard.c:1144
#59 0x000000000054aaad in recursive_edit_1 () at keyboard.c:785
#60 0x000000000054ac50 in Frecursive_edit () at keyboard.c:849
#61 0x00000000005e9798 in Ffuncall (nargs=1, args=0x7fffffff96b0)
    at eval.c:2672
#62 0x0000000000630f42 in exec_byte_code (bytestr=39481921, vector=42137157, 
    maxdepth=236, args_template=512, nargs=2, args=0x7fffffff9bd8)
    at bytecode.c:898
#63 0x00000000005e9f16 in funcall_lambda (fun=14082453, nargs=2, 
    arg_vector=0x7fffffff9bd8) at eval.c:2841
#64 0x00000000005e99c4 in Ffuncall (nargs=3, args=0x7fffffff9bd0)
    at eval.c:2724
#65 0x00000000005e8b93 in Fapply (nargs=2, args=0x7fffffff9cd0) at eval.c:2209
#66 0x00000000005e90d9 in apply1 (fn=12977794, arg=40916406) at eval.c:2443
#67 0x00000000005e4bc6 in call_debugger (arg=40916406) at eval.c:222
#68 0x00000000005e7299 in maybe_call_debugger (conditions=9431086, 
    sig=12905938, data=40916102) at eval.c:1611
#69 0x00000000005e6d6a in Fsignal (error_symbol=12905938, data=40916102)
---Type <return> to continue, or q <return> to quit---
    at eval.c:1431
#70 0x00000000005e6e7d in xsignal (error_symbol=12905938, data=40916102)
    at eval.c:1466
#71 0x00000000005e6ed2 in xsignal1 (error_symbol=12905938, arg=29919314)
    at eval.c:1481
#72 0x00000000005e84d9 in eval_sub (form=29078134) at eval.c:2089
#73 0x00000000005e4e2c in Fprogn (args=29075526) at eval.c:359
#74 0x00000000005ea184 in funcall_lambda (fun=29334022, nargs=0, 
    arg_vector=0x7fffffffa218) at eval.c:2900
#75 0x00000000005e9a78 in Ffuncall (nargs=1, args=0x7fffffffa210)
    at eval.c:2736
#76 0x00000000005e8be7 in funcall_nil (nargs=1, args=0x7fffffffa210)
    at eval.c:2221
#77 0x00000000005e8ff4 in run_hook_with_args (nargs=1, args=0x7fffffffa210, 
    funcall=0x5e8bc4 <funcall_nil>) at eval.c:2406
#78 0x00000000005e8c33 in Frun_hooks (nargs=2, args=0x7fffffffa2e8)
    at eval.c:2248
#79 0x00000000005e9689 in Ffuncall (nargs=3, args=0x7fffffffa2e0)
    at eval.c:2656
#80 0x00000000005e8b93 in Fapply (nargs=2, args=0x7fffffffa470) at eval.c:2209
#81 0x00000000005e9689 in Ffuncall (nargs=3, args=0x7fffffffa468)
    at eval.c:2656
#82 0x0000000000630f42 in exec_byte_code (bytestr=9537121, vector=9537157, 
---Type <return> to continue, or q <return> to quit---
    maxdepth=20, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#83 0x00000000005ea1e9 in funcall_lambda (fun=9537045, nargs=1, 
    arg_vector=0x7fffffffa970) at eval.c:2907
#84 0x00000000005e99c4 in Ffuncall (nargs=2, args=0x7fffffffa968)
    at eval.c:2724
#85 0x0000000000630f42 in exec_byte_code (bytestr=15836993, vector=19133709, 
    maxdepth=32, args_template=2048, nargs=2, args=0x7fffffffaeb8)
    at bytecode.c:898
#86 0x00000000005e9f16 in funcall_lambda (fun=19117813, nargs=2, 
    arg_vector=0x7fffffffaea8) at eval.c:2841
#87 0x00000000005e99c4 in Ffuncall (nargs=3, args=0x7fffffffaea0)
    at eval.c:2724
#88 0x0000000000630f42 in exec_byte_code (bytestr=15443249, vector=18784573, 
    maxdepth=64, args_template=3076, nargs=2, args=0x7fffffffb3f0)
    at bytecode.c:898
#89 0x00000000005e9f16 in funcall_lambda (fun=18120637, nargs=2, 
    arg_vector=0x7fffffffb3e0) at eval.c:2841
#90 0x00000000005e99c4 in Ffuncall (nargs=3, args=0x7fffffffb3d8)
    at eval.c:2724
#91 0x0000000000630f42 in exec_byte_code (bytestr=15468401, vector=18813813, 
    maxdepth=32, args_template=2052, nargs=2, args=0x7fffffffb8f8)
    at bytecode.c:898
#92 0x00000000005e9f16 in funcall_lambda (fun=18834397, nargs=2, 
---Type <return> to continue, or q <return> to quit---
    arg_vector=0x7fffffffb8e8) at eval.c:2841
#93 0x00000000005e99c4 in Ffuncall (nargs=3, args=0x7fffffffb8e0)
    at eval.c:2724
#94 0x0000000000630f42 in exec_byte_code (bytestr=15388241, vector=17851805, 
    maxdepth=24, args_template=2052, nargs=1, args=0x7fffffffbdd8)
    at bytecode.c:898
#95 0x00000000005e9f16 in funcall_lambda (fun=18760085, nargs=1, 
    arg_vector=0x7fffffffbdd0) at eval.c:2841
#96 0x00000000005e99c4 in Ffuncall (nargs=2, args=0x7fffffffbdc8)
    at eval.c:2724
#97 0x0000000000630f42 in exec_byte_code (bytestr=15792305, vector=14653637, 
    maxdepth=32, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#98 0x00000000005ea1e9 in funcall_lambda (fun=26298661, nargs=1, 
    arg_vector=0x7fffffffc2e0) at eval.c:2907
#99 0x00000000005e99c4 in Ffuncall (nargs=2, args=0x7fffffffc2d8)
    at eval.c:2724
#100 0x0000000000630f42 in exec_byte_code (bytestr=14250753, vector=26224773, 
    maxdepth=8, args_template=12854386, nargs=0, args=0x0) at bytecode.c:898
#101 0x00000000005ea1e9 in funcall_lambda (fun=22530725, nargs=0, 
    arg_vector=0x7fffffffc7c0) at eval.c:2907
#102 0x00000000005e99c4 in Ffuncall (nargs=1, args=0x7fffffffc7b8)
    at eval.c:2724
#103 0x00000000005e909e in apply1 (fn=16953698, arg=12854386) at eval.c:2436
---Type <return> to continue, or q <return> to quit---
#104 0x00000000005e2716 in Fcall_interactively (function=16953698, 
    record_flag=12854386, keys=12889341) at callint.c:377
#105 0x00000000005e980b in Ffuncall (nargs=4, args=0x7fffffffcb18)
    at eval.c:2682
#106 0x0000000000630f42 in exec_byte_code (bytestr=10317497, vector=10317533, 
    maxdepth=52, args_template=4100, nargs=1, args=0x7fffffffd050)
    at bytecode.c:898
#107 0x00000000005e9f16 in funcall_lambda (fun=10317453, nargs=1, 
    arg_vector=0x7fffffffd048) at eval.c:2841
#108 0x00000000005e99c4 in Ffuncall (nargs=2, args=0x7fffffffd040)
    at eval.c:2724
#109 0x00000000005e9143 in call1 (fn=12897842, arg1=16953698) at eval.c:2469
#110 0x000000000054bea7 in command_loop_1 () at keyboard.c:1586
#111 0x00000000005e65c9 in internal_condition_case (
    bfun=0x54b675 <command_loop_1>, handlers=12905698, 
    hfun=0x54af5d <cmd_error>) at eval.c:1193
#112 0x000000000054b398 in command_loop_2 (ignore=12854386) at keyboard.c:1173
#113 0x00000000005e5fca in internal_catch (tag=12901378, 
    func=0x54b372 <command_loop_2>, arg=12854386) at eval.c:964
#114 0x000000000054b34a in command_loop () at keyboard.c:1152
#115 0x000000000054aaad in recursive_edit_1 () at keyboard.c:785
#116 0x000000000054ac50 in Frecursive_edit () at keyboard.c:849
#117 0x0000000000548bab in main (argc=1, argv=0x7fffffffd718) at emacs.c:1530
---Type <return> to continue, or q <return> to quit---

Lisp Backtrace:

"image-size" (0xffff42e8)
"image-display-size" (0xffff47e0)

"image-transform-check-size" (0xffff4d18)
"image-toggle-display-image" (0xffff5210)
0xf111d8 PVEC_COMPILED

"funcall" (0xffff5740)
"image-mode" (0xffff5f70)

"set-auto-mode-0" (0xffff6450)
"set-auto-mode" (0xffff6950)

"normal-mode" (0xffff6e40)
"after-find-file" (0xffff7330)
"find-file-noselect-1" (0xffff7810)

"find-file-noselect" (0xffff7d20)
"find-file" (0xffff8220)

"dired-find-file" (0xffff8700)

"call-interactively" (0xffff8a60)
"command-execute" (0xffff8f88)
"recursive-edit" (0xffff96b8)
"debug" (0xffff9bd8)
"dired-omit-mode"

 (0xffff9f28)
0x1bf9a00 Lisp type 6
---Type <return> to continue, or q <return> to quit---
"run-hooks" (0xffffa2e8)
"apply" (0xffffa470)
"run-mode-hooks" (0xffffa970)
"dired-mode"

 (0xffffaea8)
"dired-internal-noselect" (0xffffb3e0)
"dired-noselect" (0xffffb8e8)

"dired" (0xffffbdd0)
"ido-file-internal" (0xffffc2e0)

"ido-find-file" (0xffffc7c0)
"call-interactively" (0xffffcb20)
"command-execute" (0xffffd048)
--8<---------------cut here---------------end--------------->8---

Thanks.
-- 
ఎందరో మహానుభావులు అందరికి వందనములు.
YYR